curl --request POST \
--url https://app.titanx.io/api/public/v2/webhooks/{id}/{status} \
--header 'Authorization: Bearer <token>'{
"payload": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "inactive",
"updatedAt": "2024-01-15T10:35:00Z"
}
}Enable or disable a webhook subscription without deleting it.
active: Webhook will receive eventsinactive: Webhook will not receive events (but remains configured)# Disable a webhook
curl -X POST https://app.titanx.io/api/public/v2/webhooks/550e8400-e29b-41d4-a716-446655440000/inactive \
-H "Authorization: Bearer YOUR_API_KEY"
# Re-enable a webhook
curl -X POST https://app.titanx.io/api/public/v2/webhooks/550e8400-e29b-41d4-a716-446655440000/active \
-H "Authorization: Bearer YOUR_API_KEY"
curl --request POST \
--url https://app.titanx.io/api/public/v2/webhooks/{id}/{status} \
--header 'Authorization: Bearer <token>'{
"payload": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "inactive",
"updatedAt": "2024-01-15T10:35:00Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Webhook ID
"550e8400-e29b-41d4-a716-446655440000"
New status for the webhook
active, inactive "inactive"
Webhook status updated successfully
Show child attributes